#pragma once

#include <Bild.h>

#include "ModelInfo.h"

class ItemType : public virtual Framework::ReferenceCounter
{
protected:
    const int id;
    const ModelInfo model;
    Framework::Bild* icon;

public:
    ItemType(int id, ModelInfo model);
    ~ItemType();

    int getId() const;
    void setBild(Framework::Bild* icon);
    Framework::Bild* zIcon() const;
    Framework::Model3DData* getItemModel() const;
    Framework::Model3DTextur* getItemTextur() const;
};